Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSplitPaneUI.PropertyHandler

    java.lang.Object
      |
      +--javax.swing.plaf.basic.BasicSplitPaneUI.PropertyHandler

All Implemented Interfaces:
  EventListener, PropertyChangeListener

Enclosing class:
  BasicSplitPaneUI

public class BasicSplitPaneUI.PropertyHandler
extends Object
implements PropertyChangeListener

Implementation of the PropertyChangeListener that the JSplitPane UI uses.

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of BasicSplitPaneUI.

Constructor Summary
`BasicSplitPaneUI.PropertyHandler()`

Method Summary
`void` | `propertyChange(PropertyChangeEvent e)` Messaged from the JSplitPane the reciever is contained in.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSplitPaneUI.PropertyHandler

    public BasicSplitPaneUI.PropertyHandler()

Method Detail

### propertyChange

    public void propertyChange(PropertyChangeEvent e)

  Messaged from the JSplitPane the reciever is contained in. May potentially reset the layout manager and cause a validate() to be sent.
  Specified by:
    `propertyChange` in interface `PropertyChangeListener`
  Following copied from interface: `java.beans.PropertyChangeListener`
  Parameters:
    `evt` - A PropertyChangeEvent object describing the event source and the property that has changed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.